#include "ehs/system/Mutex_PT.h"

namespace ehs
{
	Mutex::~Mutex()
    {
		if (!initialized)
			return;
    }

	Mutex::Mutex()
        : state(0)
    {
    }

	Mutex::Mutex(const Mutex& mutex)
        : BaseMutex(mutex), state(0)
    {
    }

    Mutex& Mutex::operator=(const Mutex& mutex)
    {
        if (this == &mutex)
            return *this;

		BaseMutex::operator=(mutex);

        state = 0;

        return *this;
    }

    void Mutex::Initialize()
    {
		if (initialized)
			return;

		initialized = true;
    }

    void Mutex::UnInitialize()
    {
		if (!initialized)
			return;

		initialized = false;
    }

    void Mutex::Lock()
    {
    }

    void Mutex::Unlock()
    {
    }
}